<!-- Formulario despliega listado de catálogos -->
<mat-card>
  <mat-card-title>
    <p class="main-title">
      <mat-icon>library_books</mat-icon>
      <span class="small-space"></span>
      Listado Catálogos
    </p>
  </mat-card-title>
  <mat-card-content>
    <mat-form-field class="filter-width">
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filtrar">

    </mat-form-field>

    <button class="button-title" mat-raised-button color="primary" (click)="openModalCatalog()">
        <mat-icon>add</mat-icon> Agregar Catálogo
      </button>

    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> ID CATÁLOGO </th>
          <td mat-cell *matCellDef="let row"> {{row.id}} </td>
        </ng-container>
        <ng-container matColumnDef="title">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> TÍTULO </th>
          <td mat-cell *matCellDef="let row"> {{row.feria_alias}} </td>
        </ng-container>
        <ng-container matColumnDef="ferias_id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> ID FERIA </th>
          <td mat-cell *matCellDef="let row"> {{row.ferias_id}} </td>
        </ng-container>
        <ng-container matColumnDef="feria_alias">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> NOMBRE FERIA </th>
          <td mat-cell *matCellDef="let row"> {{row.name_feria}} </td>
        </ng-container>
        <ng-container matColumnDef="created">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> CREACIÓN </th>
          <td mat-cell *matCellDef="let row"> {{row.created | date:'dd-MM-yyyy h:mm:ss'}}</td>
        </ng-container>
        <ng-container matColumnDef="acciones">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> ACCIONES </th>
          <td mat-cell *matCellDef="let row">
            <button mat-icon-button [matMenuTriggerFor]="menu">
              <mat-icon color="primary">settings</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
              <!-- <button mat-menu-item (click)="openModalEditCatalog(row.id)">
                <mat-icon>edit</mat-icon>
                <span>Editar</span>
              </button> -->
              <button mat-menu-item routerLink="/editor/{{row.id}}">
                <mat-icon>input</mat-icon>
                <span>Diseñar</span>
              </button>
              <button mat-menu-item (click)="exportPDF(row.id)">
                <mat-icon>picture_as_pdf</mat-icon>
                <span>Exportar a PDF</span>
              </button>
              <button mat-menu-item (click)="openModalDeleteCatalog(row.id)">
                <mat-icon>delete_forever</mat-icon>
                <span>Eliminar</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <mat-paginator [pageSizeOptions]="[20, 30, 40, 50, 100]"></mat-paginator>
    </div>
  </mat-card-content>
</mat-card>
<br>
